Package javax.validation

# Class ConstraintDefinitionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.validation.ValidationException
javax.validation.ConstraintDefinitionException

All Implemented Interfaces:
  `Serializable`

public class ConstraintDefinitionException extends ValidationException

Version:
  $Rev$ $Date$
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConstraintDefinitionException()`
`ConstraintDefinitionException(String message)`
`ConstraintDefinitionException(String message, Throwable cause)`
`ConstraintDefinitionException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstraintDefinitionException

public ConstraintDefinitionException(String message)

### ConstraintDefinitionException

public ConstraintDefinitionException()

### ConstraintDefinitionException

public ConstraintDefinitionException(String message, Throwable cause)

### ConstraintDefinitionException

public ConstraintDefinitionException(Throwable cause)